<?xml version="1.0" encoding="utf-8"?>
	<!--
		Copyright (C) 2009 Felix Bechstein
	-->
	<!--
		This file is part of AndGMXsms. This program is free software; you can
		redistribute it and/or modify it under the terms of the GNU General
		Public License as published by the Free Software Foundation; either
		version 3 of the License, or (at your option) any later version.
	-->
	<!--
		This program is distributed in the hope that it will be useful, but
		WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
		General Public License for more details. You should have received a
		copy of the GNU General Public License along with this program; If
		not, see <http://www.gnu.org/licenses/>.
	-->
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
	package="de.ub0r.android.websms" android:versionName="2.9.93 beta3"
	android:versionCode="2993">
	<application android:label="@string/app_name" android:icon="@drawable/icon"
		android:debuggable="true">
		<activity android:label="@string/app_name"
			android:configChanges="orientation" android:name="WebSMS"
			android:launchMode="singleTop">
			<intent-filter>
				<action android:name="android.intent.action.MAIN" />
				<category android:name="android.intent.category.LAUNCHER" />
			</intent-filter>
			<intent-filter>
				<action android:name="android.intent.action.SENDTO" />
				<category android:name="android.intent.category.DEFAULT" />
				<data android:scheme="sms" />
			</intent-filter>
			<intent-filter>
				<action android:name="android.intent.action.SENDTO" />
				<category android:name="android.intent.category.DEFAULT" />
				<data android:scheme="smsto" />
			</intent-filter>
		</activity>
		<activity android:name="Preferences" />
		<receiver android:name="WebSMSReceiver" android:enabled="true"
			android:exported="true">
			<intent-filter>
				<action android:name="de.ub0r.android.websms.connector.INFO" />
			</intent-filter>
		</receiver>

		<receiver android:name="de.ub0r.android.websms.connector.sms.CommandReceiverSMS"
			android:enabled="true" android:exported="true">
			<intent-filter>
				<action android:name="de.ub0r.android.websms.connector.RUN_SEND" />
				<action android:name="de.ub0r.android.websms.connector.UPDATE" />
			</intent-filter>
		</receiver>

		<meta-data android:value="a14a4523fe4e4f0" android:name="ADMOB_PUBLISHER_ID" />
	</application>
	<uses-sdk android:minSdkVersion="3" android:targetSdkVersion="7" />
	<supports-screen android:largeScreens="true"
		android:normalScreens="true" android:smallScreens="true"
		android:anyDensity="true" />
	<uses-permission android:name="android.permission.INTERNET" />
	<uses-permission android:name="android.permission.READ_CONTACTS" />
	<uses-permission android:name="android.permission.WRITE_SMS" />
	<uses-permission android:name="android.permission.READ_SMS" />
	<uses-permission android:name="android.permission.SEND_SMS" />
	<uses-permission android:name="android.permission.VIBRATE" />
	<uses-permission android:name="android.permission.READ_PHONE_STATE" />
	<!-- AdMob SDK permissions -->
	<uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
</manifest> 
